<?php
/**
 * Admin Initialization Class.
 *
 * Handles initialization of admin components for the Postomatic plugin.
 *
 * @package Postomatic
 * @subpackage Admin
 * @since      1.0.0
 */

namespace Postomatic\Admin;

// Exit if accessed directly.

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

/**
 * Init Class.
 *
 * Initializes all admin components for the Postomatic plugin.
 *
 * @since 1.0.0
 */
class Init {

	/**
	 * Initialize the admin functionality.
	 *
	 * @since  1.0.0
	 * @return void
	 */
	public function init() {
		// Initialize components.
		$this->initialize_components();
	}

	/**
	 * Initialize admin components.
	 *
	 * @since  1.0.0
	 * @return void
	 */
	private function initialize_components() {
		// Initialize menu.
		$admin_menu = new Admin_Menu();
		$admin_menu->init();

		// Initialize assets.
		$admin_assets = new Admin_Assets();
		$admin_assets->init();

		// Initialize hooks.
		$admin_hooks = new Admin_Hooks();
		$admin_hooks->init();
	}
}
